=== debian/changelog ===
verilator (4.028-1) unstable; urgency=medium

  * New upstream version 4.028
  * Update standards version to 4.5.0
  * Drop typos.diff patch, applied upstream
  * Add interpreter.patch to set perl interpreter path

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 09 Feb 2020 17:10:40 +0100

verilator (4.026-1) unstable; urgency=medium

  * New upstream version 4.026
  * Drop shebang.diff patch, no longer needed.
  * Refresh typos.diff patch
  * Update copyright years
  * Forward typos.diff patch upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 12 Jan 2020 03:06:03 +0100

verilator (4.024-1) unstable; urgency=medium

  * New upstream version 4.024

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 19 Dec 2019 11:35:04 +0100

verilator (4.022-2) unstable; urgency=medium

  * Add python3 to build-deps

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 01 Dec 2019 03:57:25 +0100

verilator (4.022-1) unstable; urgency=medium

  * New upstream version 4.022
  * Update watch URL
  * Updated typos.diff patch

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 30 Nov 2019 17:05:26 +0100

verilator (4.020-1) unstable; urgency=medium

  * Imported Upstream version 4.020
  * Update standards version to 4.4.1
  * Add Rules-Requires-Root: no
  * Refresh patches.
  * Remove fix_test.diff patch, applied upstream
  * Forward typos.diff patch to upstream
  * d/docs: install internals.adoc

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 19 Oct 2019 09:12:41 +0200

verilator (4.018-1) unstable; urgency=medium

  * Imported Upstream version 4.018
  * Removed system-flags.diff patch, applied upstream.
  * Refresh typos.diff patch.
  * Add fix_test.diff patch from upstream, to fix a failure during 'make test'
  * Update standards version to 4.4.0

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 05 Sep 2019 04:16:40 +0200
