## verilator 4.038

=== test_regress/CMakeLists.txt ===
--- 
+++ 
@@ -4,15 +4,17 @@
 #
 # This CMake file is meant to be consumed by regression tests.
 #
-# Copyright 2003-2020 by Wilson Snyder. This program is free software; you can
-# redistribute it and/or modify it under the terms of either the GNU
+# Copyright 2003-2020 by Wilson Snyder. This program is free software; you
+# can redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.
+# SPDX-License-Identifier: LGPL-3.0-only OR Artistic-2.0
 #
 ######################################################################
 
 cmake_minimum_required(VERSION 3.8)
-set(TEST_REQUIRED_VARS NAME CSOURCES OPT_FAST VERILATOR_ROOT VERILATOR_ARGS
+set(TEST_REQUIRED_VARS NAME CSOURCES OPT_FAST OPT_GLOBAL
+                            VERILATOR_ROOT VERILATOR_ARGS
                             VERILATOR_SOURCES SYSTEMC VERBOSE VERILATION)
 foreach(var ${TEST_REQUIRED_VARS})
   if (NOT DEFINED TEST_${var})
@@ -73,6 +75,9 @@
 if(TEST_OPT_FAST)
   list(APPEND verilate_ARGS OPT_FAST ${TEST_OPT_FAST})
 endif()
+if(TEST_OPT_GLOBAL)
+  list(APPEND verilate_ARGS OPT_GLOBAL ${TEST_OPT_GLOBAL})
+endif()
 if(TEST_THREADS)
   list(APPEND verilate_ARGS THREADS ${TEST_THREADS})
 endif()
