=== debian/changelog ===
verilator (4.038-1) unstable; urgency=medium

  * New upstream version 4.038
    + Fix test suite failure on 32-bit archs. (Closes: #962855)
  * Refresh patches
  * Add bison-3.7.patch to fix build problem with bison 3.7 (Closes: #966909)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 27 Aug 2020 07:31:46 +0200

verilator (4.036-1) unstable; urgency=medium

  * New upstream version 4.036
  * Refreshed reproducible_build.diff and typos.patch.
  * Dropped bison-3.6.1-fix.patch, applied upstream
  * d/rules: let SYSTEMC_* be auto-detected by upstream configure script

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 13 Jun 2020 13:50:36 +0200

verilator (4.034-2) unstable; urgency=medium

  * Update upstream metadata: update Bug-Database, add Bug-Submit
  * Unapply quilt patches
  * Add bison-3.6.2-fix.patch to fix FTBFS with bison 3.6.1 (Closes: #960480)
  * Bumped to compat level 13
  * Added typos.patch to fix spelling mistakes

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 25 May 2020 17:02:56 +0200

verilator (4.034-1) unstable; urgency=medium

  * New upstream version 4.030
  * Refresh patches

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 09 May 2020 16:41:52 +0200
