=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper-compat (= 12), flex, bison, libfl-dev, libsystemc-dev [amd64 arm64 i386 kfreebsd-any], python3
+Build-Depends: debhelper-compat (= 13), flex, bison, libfl-dev, libsystemc-dev [amd64 arm64 i386 kfreebsd-any], python3
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://www.veripool.org/wiki/verilator
