=== debian/watch ===
version=3

https://www.veripool.org/projects/verilator/wiki/Download /ftp/verilator-(.*)\.tgz
